Bug 829834 - Fail to complete upgrade to fedora 17 after preupgrade reboot
Fail to complete upgrade to fedora 17 after preupgrade reboot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 12:03 EDT by George Fiotakis
Modified: 2013-01-10 01:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 16:53:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Fiotakis 2012-06-07 12:03:45 EDT
Description of problem:
I just tried to upgrade my fedora 16 (32bit) system to fedora 17 using the usual preupgrade process (I've been upgrading the same system since fedora 13).
While preupgrade finished normally, during reboot, anaconda complained about an old moodle installation I had and it couldn't upgrade, exiting and leaving me with an non-usable system (by "old", I mean an installation I haven't used for a year or so - the entire system was updated before I performed preupgrade).

Unfortunately I got a bit frustrated and I removed by rm -r the moodle directory in /var/www/ since I was not going to use it on this machine anyway, so I can't provide more details now. The upgrade finished normally after that.

 





Additional info:
I searched bugzilla before submitting the bug and I found bug 489663.
It's pretty old and closed but reading comment #2 there, looks like it could be related (though I can't recall a "magpie" directory in my installation).

Hope it helps!
Comment 1 Chris Lumens 2012-06-08 10:03:31 EDT
Please attach the exact error message you got to this bug report.  Thanks.
Comment 2 George Fiotakis 2012-06-12 07:08:40 EDT
As I said, I can't provide the exact error message now, since I removed moodle in order to go on with the update. 
If there's some way I could find it in some log, please point some info page on it.

Note You need to log in before you can comment on or make changes to this bug.